
Redmine - Defect #34580

Custom field labels do not contain class "error" when the field value is invalid

2021-01-09 20:37 - Marius BĂLTEANU

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: UI Estimated time: 0.00 hour

Target version: 4.2.0   

Resolution: Fixed Affected version:  

Description

When the form contains invalid field values, the class "error" is added only to standard fields. We should add it also to custom fields

in order to be able to highlight those fields (#32764).

The attached patch fixes this.

Related issues:

Related to Redmine - Feature #32764: Make form validation errors more obvious... Closed

Associated revisions

Revision 20710 - 2021-01-11 13:26 - Go MAEDA

Add class 'error' to custom fields with validation errors (#32764, #34580).

Patch by Marius BALTEANU.

History

#1 - 2021-01-09 20:49 - Marius BĂLTEANU

All tests pass: https://gitlab.com/redmine-org/redmine/-/pipelines/239464521

#2 - 2021-01-09 20:50 - Marius BĂLTEANU

- Subject changed from Custom field labels doesn't contain class "error" when the field value is invalid to Custom field labels do not contain class

"error" when the field value is invalid

#3 - 2021-01-10 03:50 - Go MAEDA

- Related to Feature #32764: Make form validation errors more obvious for users  added

#4 - 2021-01-10 03:51 - Go MAEDA

- Status changed from New to Confirmed

#5 - 2021-01-11 13:27 - Go MAEDA

- Status changed from Confirmed to Closed

- Target version deleted (Candidate for next major release)

- Resolution set to Fixed

Committed as a part of #32764. Thank you.

#6 - 2021-01-11 15:04 - Marius BĂLTEANU

- Target version set to 4.2.0

We should keep this in Changelog because there were some changes regarding how the validation messages are stored in the object.

Files

0001-Add-class-error-to-custom-fields-with-validation-err.patch 3.1 KB 2021-01-09 Marius BĂLTEANU
